%define version 4.26.00.00
%define release 1
Vendor:        	lsi
Name:          	mptlinux
BuildRequires:	%kernel_module_package_buildreqs
License:       	GPL
Group:         	System/Kernel
Summary:       	LSI Fusion MPT Kernel Module Package
Version:       	%{version}
Release:       	%{release}
Source0:       	%name-%version.tar.bz2
BuildRoot:     	%{_tmppath}/%{name}-%{version}-build

%kernel_module_package -x debug -x trace

%description
This is a Kernel Module Package for the LSI Fusion MPT driver.

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done

%changelog
* Tue Jun 09 2009 - Sathya.Prakash@lsi.com
- Initial version.
